| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__GetBGParms Struct Reference
Business Group

Get Business Group Prameters. More...

`#include <osv-if-doc.h>`

## Public Attributes
enum unsp__BGStatus * | BGStatus
| Business Group Status. More...
enum unsp__MDRIndicator * | MDRIndicator
| Message Detail Recording Indicator. More...
char * | MDRCustID
| Message Detail Recording Customer ID. More...
unsp__NumberPlanName | NumberPlanName
| Default Private Number Plan Name. More...
unsp__NumberPlanName | BGCommonNumberPlanName
| The name of a common numbering plan to be used when BGLs escape from a BG private numbering plan. More...
char * | DisplayNumber
| When a subscriber with only a private number makes a external BG call, the BG's DisplayNumber is presented as the calling number. More...
int * | MediaSvrRetryCount
| Media Server Retry Count. More...
int * | MediaSvrTimeoutInterval
| Media Server Timeout Interval. More...
int * | InputRetryCount
| Input Retry Count. More...
xsd__boolean * | Trusted
| Indicates whether the subscribers and endpoints configured within the BG are treated as internal towards subscribers and endpoints of other BGs. More...
xsd__boolean * | ReverseMlhgHMBToggleLED
| Indicates whether MLHG service reverses the Hunt Make Busy Feature Toggle Status sent to SIP SM. More...

## Detailed Description

Get Business Group Prameters.

## Member Data Documentation

## ◆ BGCommonNumberPlanName

unsp__NumberPlanName unsp__GetBGParms::BGCommonNumberPlanName

The name of a common numbering plan to be used when BGLs escape from a BG private numbering plan.

See also
  unsp__NumberPlanName

## ◆ BGStatus

enum unsp__BGStatus* unsp__GetBGParms::BGStatus

Business Group Status.

## ◆ DisplayNumber

char* unsp__GetBGParms::DisplayNumber

When a subscriber with only a private number makes a external BG call, the BG's DisplayNumber is presented as the calling number.

default value[range]: NA [1..15]

## ◆ InputRetryCount

int* unsp__GetBGParms::InputRetryCount

Input Retry Count.

The maximum number of times to retry in response to invalid subscriber input. Specific to the HotDesking feature.
default value[range]: 3 [1..5]

## ◆ MDRCustID

char* unsp__GetBGParms::MDRCustID

Message Detail Recording Customer ID.

A string of digits associated with a BG that must be unique in the switch.
default value[range]: NA [1..10]

## ◆ MDRIndicator

enum unsp__MDRIndicator* unsp__GetBGParms::MDRIndicator

Message Detail Recording Indicator.

This parameter is set as On/Off to indicate the insertion of the MDR Customer ID in the CDR records.
default value[range]: Off

## ◆ MediaSvrRetryCount

int* unsp__GetBGParms::MediaSvrRetryCount

Media Server Retry Count.

Specifies the number of times to re-try a failed media server request for digit collection. Specific to the Hot Desking feature.
default value[range]: 3 [1..5]

## ◆ MediaSvrTimeoutInterval

int* unsp__GetBGParms::MediaSvrTimeoutInterval

Media Server Timeout Interval.

Timeout period for media server requests. Specific to the Hot Desking feature.
default value[range]: 15 [1..60]

## ◆ NumberPlanName

unsp__NumberPlanName unsp__GetBGParms::NumberPlanName

Default Private Number Plan Name.

See also
  unsp__NumberPlanName

## ◆ ReverseMlhgHMBToggleLED

xsd__boolean* unsp__GetBGParms::ReverseMlhgHMBToggleLED

Indicates whether MLHG service reverses the Hunt Make Busy Feature Toggle Status sent to SIP SM.

default value[range]: false

## ◆ Trusted

xsd__boolean* unsp__GetBGParms::Trusted

Indicates whether the subscribers and endpoints configured within the BG are treated as internal towards subscribers and endpoints of other BGs.

default value[range]: false

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h